Opened 6 years ago

Closed 6 years ago

Last modified 6 years ago

#59 closed defect (fixed)

PthreadTls, DjVULibre 3.5.25 and QPDFview 0.4.3ß1+

Reported by: mrwarper Owned by:
Priority: minor Component: qtapps
Version: Keywords: pthread DjVULibre QPDFview
Cc:

Description

From the newest QPDFview 0.4.3ß1 install.os2:

  1. Requirements

...
ftp://ftp.netlabs.org/pub/unixos2/djvulibre-3_5_25.zip
Unpack and install djvu.dll
...

This enabled me to run QPDFview 0.4.3b1. So far, so good.

However, I wanted to try the DjVUlibre package apps, and they all bomb out requiring PTHR01.DLL to run. Time to look up stuff and...
http://svn.netlabs.org/ports/wiki/djvulibre reads:
...
Building Instructions
...

as a requirement you need: pthread from 17.02.2010 or better from http://web.os2power.com/yuri/PthreadTls

...
which links only to PthreadTls? sources. While I might be able to build it all when I get bored enough, I'm sure this will be a show-stopper for end users (mood I'm in right now). Please include pthread binaries in DjVULibre 3.5.25 or put them somewhere else and post a *visible* link to them :)

Change History (6)

comment:1 Changed 6 years ago by diver

i will update the readme according to that. thanks for letting me know.

comment:2 Changed 6 years ago by diver

Last edited 6 years ago by diver (previous) (diff)

comment:3 Changed 6 years ago by diver

  • Resolution set to fixed
  • Status changed from new to closed

install.os2 changed for 0.4.3ga. please try

comment:4 Changed 6 years ago by mrwarper

Cool, thank you for the pointer. However, pthread is not a requirement to QPDFview (yet), only to DjVuLibre apps, and only to v3.5.25 while at that (different linking options?). Are you sure you want to list pthread in QPDFview 4.3GA install.os2?

I've updated the DjVuLibre wiki page so end users have fewer problems to run into. See PThreads Library [​ZIP link] Also needed for DjVuLibre 3.5.25

Last edited 6 years ago by mrwarper (previous) (diff)

comment:5 follow-up: Changed 6 years ago by diver

yes i do want it in qpdfview install.os2, because i don't want to readme in the djvulibre package.

anyway thx for adding the link in djvulibre.

comment:6 in reply to: ↑ 5 Changed 6 years ago by mrwarper

Replying to diver:

[...] i don't want to readme in the djvulibre package.

:?

anyway thx for adding the link in djvulibre.

Further added a link for TIFFlib as a prerequisite for DjVu apps 3.5.24 and 3.5.25, and fixed the link to JPEGlib (which had "pup" instead of "pub" in it)

Note: See TracTickets for help on using tickets.